## com.thingmagic
Class StopTriggerReadPlan

    java.lang.Object
      com.thingmagic.ReadPlan
          com.thingmagic.SimpleReadPlan
              com.thingmagic.StopTriggerReadPlan

    public class StopTriggerReadPlan

extends SimpleReadPlan

A StopTriggerReadPlan is a read plan covering one or more protocol and one or more antennas

Field Summary
`StopOnTagCount` `stopOnCount`

Fields inherited from class com.thingmagic.SimpleReadPlan
`antennas, filter, Op, protocol, triggerRead, useFastSearch`

Fields inherited from class com.thingmagic.ReadPlan
`enableAutonomousRead, weight`

Constructor Summary
`StopTriggerReadPlan(StopOnTagCount sotc, int[] antennas, TagProtocol protocol)`
`StopTriggerReadPlan(StopOnTagCount sotc, int[] antennas, TagProtocol protocol, boolean useFastSearch)`
`StopTriggerReadPlan(StopOnTagCount sotc, int[] antennas, TagProtocol protocol, TagFilter filter, TagOp op, int weight)`

Method Summary

Methods inherited from class com.thingmagic.SimpleReadPlan
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stopOnCount

    public StopOnTagCount stopOnCount

Constructor Detail

### StopTriggerReadPlan

    public StopTriggerReadPlan(StopOnTagCount sotc,
                               int[] antennas,
                               TagProtocol protocol)

### StopTriggerReadPlan

    public StopTriggerReadPlan(StopOnTagCount sotc,
                               int[] antennas,
                               TagProtocol protocol,
                               TagFilter filter,
                               TagOp op,
                               int weight)

### StopTriggerReadPlan

    public StopTriggerReadPlan(StopOnTagCount sotc,
                               int[] antennas,
                               TagProtocol protocol,
                               boolean useFastSearch)